Loading...
Searching...
No Matches
AVD3D11VAContext Struct Reference
libavcodec » Codecs » Hardware Accelerators bridge » Direct3D11

This structure is used to provides the necessary configurations and data to the Direct3D11 FFmpeg HWAccel implementation. More...

`#include <libavcodec/d3d11va.h>`

## Data Fields

ID3D11VideoDecoder * | decoder
| D3D11 decoder object.
ID3D11VideoContext * | video_context
| D3D11 VideoContext.
D3D11_VIDEO_DECODER_CONFIG * | cfg
| D3D11 configuration used to create the decoder.
unsigned | surface_count
| The number of surface in the surface array.
ID3D11VideoDecoderOutputView ** | surface
| The array of Direct3D surfaces used to create the decoder.
uint64_t | workaround
| A bit field configuring the workarounds needed for using the decoder.
unsigned | report_id
| Private to the FFmpeg AVHWAccel implementation.
HANDLE | context_mutex
| Mutex to access video_context.

## Detailed Description

This structure is used to provides the necessary configurations and data to the Direct3D11 FFmpeg HWAccel implementation.

The application must make it available as AVCodecContext.hwaccel_context.

Use av_d3d11va_alloc_context() exclusively to allocate an AVD3D11VAContext.

Definition at line 56 of file d3d11va.h.

## Field Documentation

## decoder

ID3D11VideoDecoder* AVD3D11VAContext::decoder

D3D11 decoder object.

Definition at line 60 of file d3d11va.h.

## video_context

ID3D11VideoContext* AVD3D11VAContext::video_context

D3D11 VideoContext.

Definition at line 65 of file d3d11va.h.

## cfg

D3D11_VIDEO_DECODER_CONFIG* AVD3D11VAContext::cfg

D3D11 configuration used to create the decoder.

Definition at line 70 of file d3d11va.h.

## surface_count

unsigned AVD3D11VAContext::surface_count

The number of surface in the surface array.

Definition at line 75 of file d3d11va.h.

## surface

ID3D11VideoDecoderOutputView** AVD3D11VAContext::surface

The array of Direct3D surfaces used to create the decoder.

Definition at line 80 of file d3d11va.h.

## workaround

uint64_t AVD3D11VAContext::workaround

A bit field configuring the workarounds needed for using the decoder.

Definition at line 85 of file d3d11va.h.

## report_id

unsigned AVD3D11VAContext::report_id

Private to the FFmpeg AVHWAccel implementation.

Definition at line 90 of file d3d11va.h.

## context_mutex

HANDLE AVD3D11VAContext::context_mutex

Mutex to access video_context.

Definition at line 95 of file d3d11va.h.

The documentation for this struct was generated from the following file:

- libavcodec/d3d11va.h